#ifndef MARS_MStarLocalCam
#define MARS_MStarLocalCam

#ifndef MARS_MParContainer
#include "MParContainer.h"
#endif
#ifndef MARS_MCamEvent
#include "MCamEvent.h"
#endif

class TList;

class MGeomCam;
class MStarLocalPos;

class MStarLocalCam : public MParContainer
{
private:

  TList  *fStars;  //-> FIXME: Change TClonesArray away from a pointer?

public:

  MStarLocalCam(const char *name=NULL, const char *title=NULL);
  ~MStarLocalCam();

  MStarLocalPos &operator[] (Int_t i);
  const MStarLocalPos &operator[] (Int_t i) const;

  TList *GetList() const { return fStars; }

  void Print(Option_t *o="") const;

  ClassDef(MStarLocalCam, 1)	// Storage Container for star positions in the camera
};

#endif
